package ru.yandex.autotests.directapi.darkside.connection;

import org.apache.http.client.utils.URIBuilder;

/**
 * User: omaz
 * Date: 26.08.13
 * Конфигуратор адресов сервисов
 */
public class IntapiSecretJsonRPCConfig extends IntapiConfig {
    public IntapiSecretJsonRPCConfig(String predefinedHost) {
        super(predefinedHost);
    }

    public IntapiSecretJsonRPCConfig() {
        super();
    }

    @Override
    protected void configureHost(URIBuilder builder) {
        builder.setPath("/secret-jsonrpc");
        if (injectServiceSubDomain()) {
            builder.setHost(INTAPI_PREFIX + host.getHost());
        }
    }
}
